Summary: IBM JFS utility programs
Name: jfsutils
Version: 1.0.21
Release: 3tr
Group: System/Kernel
License: GPL
Source: http://www10.software.ibm.com/developer/opensource/jfs/project/pub/%{name}-%{version}.tar.gz
URL: http://oss.software.ibm.com/jfs
Patch: jfsutils-1.0.21-errno.patch
Buildroot: %{_tmppath}/%{name}-root


%description
Utilities for managing IBM's Journaled File System (JFS) under Linux.  The
following utilities are available: fsck.jfs - initiate replay of the JFS
transaction log, and check and repair a JFS formatted device. logdump -
dump a JFS formatted device's journal log. logredo - "replay" a JFS
formatted device's journal log.  mkfs.jfs - create a JFS formatted
partition. xchkdmp - dump the contents of a JFS fsck log file created with
xchklog.  xchklog - extract a log from the JFS fsck workspace into a
file.  xpeek - shell-type JFS file system editor.


%prep
%setup -q
%patch -p1

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --mandir=%{_mandir}
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/man8/*
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog

%changelog
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.21-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.21-2em
- Rebuilt against glibc 2.3.2.

* Thu Aug 15 2002 Christian H. Toldnes <christht at trustix dot com> 1.0.21-1ct
- Added changelog.
- .spec is based on work of the jfs development team.
- .spec follows TSL policy
- New upstream version: 1.0.21-1ct
